---

#! /db/releases/20250410132650/lkp-src/jobs/fsmark-1ssd-nvme-small.yaml
suite: fsmark
testcase: fsmark
category: benchmark
iterations: 8
disk: 1SSD
nr_threads: 4
fs: btrfs
fsmark:
  filesize: 9B
  test_size: 16G
  sync_method: fsyncBeforeClose
  nr_directories: 16d
  nr_files_per_directory: 256fpd
job_origin: fsmark-1ssd-nvme-small.yaml
arch: x86_64

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- BTRFS_FS
- NFSD
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- BTRFS_FS
- NFSD
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/disk/nr_ssd

#! include/fs/OTHERS

#! programs/fsmark/include

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-spr-2sp4
tbox_group: lkp-spr-2sp4
branch: linus/master
commit: 38f83090f515b4b5d59382dfada1e7457f19aa47
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp4/fsmark-performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G-debian-12-x86_64-20240206.cgz-38f83090f515-20250422-3996176-ka22yu-7.yaml"
id: 4ffa9360283c53e9f840ac07dac77e556a70827b
queuer_version: "/lkp/xsang/.src-20250422-103815"

#! /db/releases/20250415213654/lkp-src/hosts/lkp-spr-2sp4
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 512G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX248100CW1P9BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6ef1b014
brand: Intel(R) Xeon(R) Platinum 8480CTDX
ucode: '0x2b0004b1'

#! /db/releases/20250415213654/lkp-src/include/category/benchmark

#! /db/releases/20250415213654/lkp-src/include/category/ALL

#! /db/releases/20250415213654/lkp-src/include/disk/nr_ssd

#! /db/releases/20250415213654/lkp-src/include/fs/OTHERS

#! /db/releases/20250415213654/lkp-src/programs/fsmark/include
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-04-22 15:51:59.878447277 +08:00
compiler: gcc-12
_rt: "/result/fsmark/performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47"

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250421-223052"
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/fsmark/performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47/vmlinuz-6.12.0-rc1-00001-g38f83090f515
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-spr-2sp4/fsmark-performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G-debian-12-x86_64-20240206.cgz-38f83090f515-20250422-3996176-ka22yu-7.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=38f83090f515b4b5d59382dfada1e7457f19aa47
- intremap=posted_msi
- acpi_rsdp=0x6ef1b014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/fsmark-x86_64-2628be5-1_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250415213654/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp4/fsmark-performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G-debian-12-x86_64-20240206.cgz-38f83090f515-20250422-3996176-ka22yu-7.cgz"
last_kernel: 6.12.0-rc1
acpi_rsdp: '0x6ef1b014'

#! user overrides
kbuild_queue_analysis: 1

#! /db/releases/20250419193306/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47/vmlinuz-6.12.0-rc1-00001-g38f83090f515"
result_root: "/result/fsmark/performance-1SSD-9B-btrfs-8-16d-256fpd-4-fsyncBeforeClose-16G/lkp-spr-2sp4/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/38f83090f515b4b5d59382dfada1e7457f19aa47/0"
user: lkp
dequeue_time: 2025-04-22 17:31:38.228773978 +08:00
job_state: finished
loadavg: 3.11 2.28 1.00 1/2126 15578
start_time: '1745314395'
end_time: '1745314628'
version: "/lkp/lkp/.src-20250421-223052:cb419cd2d151-dirty:65e2f9531ec6"
